# Navrh architektury programu

Zakladny datovy modul
```php
class DbModule{
   function init($table) {} 
   function get($data)    {}
   function create($data) {}   
   function update($data) {}
   function delete($data) {}
   function search($what) {}
}

class TestDbModule{
   function init($table) {} 
   function get($data)    {}
   function create($data) {}   
   function update($data) {}
   function delete($data) {}
   function search($what) {}
}
```

registracia_lib.php
```php
class Registracia 
{
   $db1= new DbModue("table_name1");
   $db2= new DbModue("table_name2");

// funkcna logika aplikacie
function main($path,$data)
{

}

}
```

registracia_test.php
```php
class TRegistracia extends Registracia
{


// --- testy
 function status($ok)
 {
    if ($ok) echo "Status.......OK";
    else
        echo "Status.......FAILED"
 }

 function test_create()
 {
    echo "<h1>test create</h1>";
    echo "<pre>";

    echo "</pre>";
 }
 function test_get()
 {
    echo "<h1>test get</h1>";
    echo "<pre>";

    echo "</pre>";
 }
 function test_update()
 {
    echo "<h1>test update</h1>";
    echo "<pre>";

    echo "</pre>";
 }
}
```

registracia.php
```php
include_once "security.php";
include_once "registracia_lib.php";


```